Postonus
APIReferenceUser

Get the current user's preferences

GET
/users/me/preferences

Authorization

apiKey
headerx-api-key<token>

Response Body

OK

application/json
  1. response
locale?string
Default"en"
timezone?|
Defaultnull
timezoneSource?string
Default"auto"
Value in"auto""manual"
timeFormat?string
Default"12h"
Value in"12h""24h"
optimalPostingTimes?
defaultPostingAction?string
Default"publish-now"
Value in"publish-now""next-window""pick-time"
autoScheduleToNextWindow?boolean
Defaultfalse
platformPreferences?
contentPreferences?
voiceProfile?|null
notificationPreferences?
analyticsPreferences?
marketingEmailsEnabled?boolean
Defaulttrue
Example Request
curl -X GET 'https://app.postonus.com/api/v1/users/me/preferences'
Example Response
{  "locale": "en",  "timezone": null,  "timezoneSource": "auto",  "timeFormat": "12h",  "optimalPostingTimes": {    "property1": [      {        "dayOfWeek": "0",        "startTime": "string",        "endTime": "string"      }    ],    "property2": [      {        "dayOfWeek": "0",        "startTime": "string",        "endTime": "string"      }    ]  },  "defaultPostingAction": "publish-now",  "autoScheduleToNextWindow": false,  "platformPreferences": {    "property1": {      "preferredHashtags": [        "string"      ],      "maxHashtags": 0,      "includeCompanyPage": true,      "includeRetweets": true,      "autoAddHashtags": true,      "customPostingRules": {        "property1": null,        "property2": null      }    },    "property2": {      "preferredHashtags": [        "string"      ],      "maxHashtags": 0,      "includeCompanyPage": true,      "includeRetweets": true,      "autoAddHashtags": true,      "customPostingRules": {        "property1": null,        "property2": null      }    }  },  "contentPreferences": {    "defaultHashtags": [      "string"    ],    "autoCapitalize": true,    "includeEmojis": true,    "maxPostLength": 1,    "autoFormatLinks": true,    "defaultMentionFormat": "@username",    "preserveLineBreaks": true  },  "voiceProfile": "string",  "notificationPreferences": {    "postFailed": {      "email": true,      "inApp": true,      "push": true    },    "channelDisconnected": {      "email": true,      "inApp": true,      "push": true    },    "collaborationReviewRequested": {      "email": true,      "inApp": true,      "push": true    },    "collaborationReviewDecision": {      "email": true,      "inApp": true,      "push": true    },    "collaborationCommentAdded": {      "email": true,      "inApp": true,      "push": true    },    "collaborationShareLinkOpened": {      "email": true,      "inApp": true,      "push": true    },    "clientReviewDecision": {      "email": true,      "inApp": true,      "push": true    },    "clientReviewComment": {      "email": true,      "inApp": true,      "push": true    },    "postPublished": {      "email": true,      "inApp": true,      "push": true    },    "emptyQueue": {      "email": true,      "inApp": true,      "push": true    },    "billing": {      "email": true,      "inApp": true,      "push": true    },    "weeklyReportCard": {      "email": true,      "inApp": true,      "push": true    },    "habitNudges": {      "email": true,      "inApp": true,      "push": true    },    "gettingStarted": {      "email": true,      "inApp": true,      "push": true    },    "productUpdates": {      "email": true,      "inApp": true,      "push": true    },    "research": {      "email": true,      "inApp": true,      "push": true    }  },  "analyticsPreferences": {    "trackEngagement": true,    "weeklyReports": false,    "monthlyReports": false,    "competitorAnalysis": false,    "shareInsights": false,    "dataRetentionDays": 90  },  "marketingEmailsEnabled": true}